summaryrefslogtreecommitdiffstats
path: root/games/trackballs/trackballs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/trackballs/trackballs.SlackBuild')
-rw-r--r--games/trackballs/trackballs.SlackBuild127
1 files changed, 127 insertions, 0 deletions
diff --git a/games/trackballs/trackballs.SlackBuild b/games/trackballs/trackballs.SlackBuild
new file mode 100644
index 0000000000..82f4b0ee18
--- /dev/null
+++ b/games/trackballs/trackballs.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/sh
+
+# Slackware build script for trackballs
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=trackballs
+VERSION=${VERSION:-1.1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+MUSICVER=${MUSICVER:-1.4}
+MUSICEXT=${MUSICEXT:-bz2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip $PKG/usr/man/man6/$PRGNAM.6
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README README.html AUTHORS COPYING ChangeLog FAQ TODO *.jpg \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat share/icons/$PRGNAM-64x64.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Include the music, if we find the music tarball
+MUSICFILE=$CWD/$PRGNAM-music-${MUSICVER}.tar.${MUSICEXT}
+if [ -e "$MUSICFILE" ]; then
+ tar xvf "$MUSICFILE"
+ chown root:root $PRGNAM-music/*.ogg
+ chmod 0644 $PRGNAM-music/*.ogg
+ cp -a $PRGNAM-music/*.ogg $PKG/usr/share/$PRGNAM/music
+ cat $PRGNAM-music/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.music
+fi
+
+# Include extra levels, if we find any. This is more complex than it
+# should need to be, but some of the level archives create a top-level
+# directory and some don't...
+levels_included=""
+if [ -e $CWD/levels/ ]; then
+ for file in $CWD/levels/*; do
+ found=0
+ rm -rf tmplevels
+ mkdir -p tmplevels
+
+ case "$file" in
+ *.tar.gz|*.tar.bz2)
+ tar xvfzC "$file" tmplevels
+ found=1
+ ;;
+ *.zip)
+ ( cd tmplevels ; unzip "$file" )
+ found=1
+ ;;
+ *) # break
+ ;;
+ esac
+
+ if [ "$found" = "1" ]; then
+ levels_included="$levels_included\n$( basename $file )"
+ find tmplevels -type f -print0 | xargs -0 chmod 644
+ find tmplevels -type f -print0 | xargs -0 chown root:root
+ find tmplevels -type f -exec cp -a '{}' $PKG/usr/share/$PRGNAM/levels \;
+ fi
+ done
+
+ if [ -n "$levels_included" ]; then
+ echo -e "This package includes the following extra level packs:\n" \
+ "$levels_included" > \
+ $PKG/usr/doc/$PRGNAM-$VERSION/README.extra_levels
+ fi
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}